"use strict";

// Теоретичні питання
// 1. Яке призначення методу event.preventDefault() у JavaScript?
// `Метод event.preventDefault()` призначений для відміни стандартної поведінки події браузера. Коли цей метод викликається всередині обробника подій, він перешкоджає виконанню типових дій, які пов'язані з цією подією.

// 2. В чому сенс прийому делегування подій?
// Делегування подій - це прийом, який дозволяє обробляти події на вищому рівні DOM, замість прив'язки обробників до кожного елемента окремо. Він полегшує роботу з подіями, зменшує кількість обробників та робить код більш гнучким і ефективним.

// 3. Які ви знаєте основні події документу та вікна браузера?
// Події документу (Document Events):

// `DOMContentLoaded`: Виникає, коли HTML структура документа була повністю завантажена та розібрана.
// `load`: Виникає, коли всі ресурси (зображення, стилі, скрипти тощо) були завантажені.
// `click`: Виникає при кліку на елемент.
// `k`eydown`: Виникає при натисканні клавіші на клавіатурі.
// `submit`: Виникає при відправці форми.

// Події вікна браузера (Window Events):
// `resize`: Виникає при зміні розміру вікна браузера.
// `scroll`: Виникає при прокручуванні сторінки.
// `load`: Виникає, коли всі ресурси сторінки були повністю завантажені.
// `unload`: Виникає перед тим, як сторінка буде розривати з'єднання з сервером і переходити до іншої сторінки або закривати вікно.

// Практичне завдання:

// Реалізувати перемикання вкладок (таби) на чистому Javascript.

// Технічні вимоги:

// - У папці tabs лежить розмітка для вкладок. Потрібно, щоб після натискання на вкладку відображався конкретний текст для потрібної вкладки. При цьому решта тексту повинна бути прихована. У коментарях зазначено, який текст має відображатися для якої вкладки.
// - Розмітку можна змінювати, додавати потрібні класи, ID, атрибути, теги.
// - Потрібно передбачити, що текст на вкладках може змінюватись, і що вкладки можуть додаватися та видалятися. При цьому потрібно, щоб функція, написана в джаваскрипті, через такі правки не переставала працювати.

//  Умови:
//  - При реалізації обов'язково використовуйте прийом делегування подій (на весь скрипт обробник подій повинен бути один).

const tabs = document.querySelectorAll(".tabs-title");
const tabContents = document.querySelectorAll(".tabs-content li");

tabs.forEach((tab) => {
  tab.addEventListener("click", () => {
    tabs.forEach((e) => e.classList.remove("active"));
    tabContents.forEach((content) => content.classList.remove("active"));
    tab.classList.add("active");
    const index = [...tabs].indexOf(tab);
    tabContents[index].classList.add("active");
  });
});
